package com.xjrsoft.module.room.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.room.dto.AddRoomValueWeekDto;
import com.xjrsoft.module.room.dto.RoomValueWeekPageDto;
import com.xjrsoft.module.room.dto.UpdateRoomValueWeekDto;
import com.xjrsoft.module.room.entity.RoomValueWeek;
import com.xjrsoft.module.room.vo.RoomValueWeekExcelVo;
import com.xjrsoft.module.room.vo.RoomValueWeekItemVo;
import com.xjrsoft.module.room.vo.RoomValueWeekPageVo;

import java.util.List;

/**
* @title: 宿管值班管理
* @Author dzx
* @Date: 2024-01-03
* @Version 1.0
*/

public interface IRoomValueWeekService extends MPJBaseService<RoomValueWeek> {
    /**
    * 新增
    *
    * @param dto
    * @return
    */
    Boolean add(AddRoomValueWeekDto dto);

    /**
    * 更新
    *
    * @param roomValueWeek
    * @return
    */
    Boolean update(RoomValueWeek roomValueWeek);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    Page<RoomValueWeekPageVo> getPage(Page<RoomValueWeekPageDto> page, RoomValueWeekPageDto dto);

    List<RoomValueWeekExcelVo> getList(RoomValueWeekPageDto dto);

    Boolean updateNumberPeople();

    RoomValueWeekItemVo getItemInfo(Long id);

    Boolean updateItem(UpdateRoomValueWeekDto dto);
}
